Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055108 - Review Request: freecolor - Display memory information graphically
Summary: Review Request: freecolor - Display memory information graphically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 20:37 UTC by Denis Fateyev
Modified: 2014-06-30 12:13 UTC (History)
3 users (show)

Fixed In Version: freecolor-0.9.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-25 14:40:57 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Denis Fateyev 2014-01-18 20:37:08 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora19/testing/freecolor.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/freecolor-0.8.10-1.fc19.denf.src.rpm
Description: Freecolor displays the total amount of free and used physical and swap memory in the system as a colored bargraph on the command line.
Fedora Account System Username: dfateyev

More information on "freecolor" is here: http://www.rkeene.org/oss/freecolor/

Rawhide scratch builds for this package are available here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6425281

Comment 1 Jeff Backus 2014-01-20 16:52:17 UTC
Hi Denis,

I have performed an ***INFORMAL*** review of your package. Please note that I am still new to packaging and everything I say should be take with a (large) grain of salt. Hopefully it will speed up the official review.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* BSD".
License appears to be the 4-clause BSD license with clauses 2-4 removed, not the MIT license. Additionally, the name "JUHA PIRKOLA" appears in the disclaimer, not Roy Keene, the listed author. Please have upstream correct the license in freecolor.c. It would be great if they would also include a copy of the license as a separate file. If upstream isn't willing to provide clarification then you will need to get Legal to bless it.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
rpmlint reported three warnings. Two were with regard to the spelling of 'bargraph'. The third was "setup-not-quiet". To correct the third, please add the -q option to %setup.

[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
Note: package does use rm -rf %{buildroot}, but only for EPEL5.

[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
BuildRoot is present and required for EPEL 5.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
%clean is present for EPEL 5 only.

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
See comments above.

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Sources can be downloaded from URI in Source: tag
No URL for Source1, freecolor.1. Has this been submitted to upstream?

[x]: Reviewer should test that the package builds in mock.
Tested in Fedora 20 on x86_64.

[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

===== Summary =====
1. Must Fix:
  a. Please have upstream clarify license.
  b. Please submit manpage to upstream and ask them to include in release.

2. Please Fix:
  a. Please have upstream include a separate license file.
  b. Please add -q to %setup.


Like I said, the review was informal, but hopefully it is helpful.

Regards,
Jeff

Comment 2 Denis Fateyev 2014-01-21 05:19:05 UTC
Thanks for the review, Jeff. I'd recommend you to change the review's "informal" status into the "official" ;-) (get assigned with it)

> License appears to be the 4-clause BSD license with clauses 2-4 removed, not
> the MIT license. Additionally, the name "JUHA PIRKOLA" appears in the 
> disclaimer, not Roy Keene, the listed author. Please have upstream correct the 
> license in freecolor.c. It would be great if they would also include a copy of 
> the license as a separate file. If upstream isn't willing to provide 
> clarification then you will need to get Legal to bless it.

> Please have upstream clarify license.

Completely agree with it. I notified upstream several days ago; still no answer from there. To have the manpage and separate license file included is also a good idea.

As for the silent setup, I've just fixed that. Added el5-conditional for BuildRoot. Checked debuginfo package, it's valid.

Comment 3 Denis Fateyev 2014-01-21 15:26:45 UTC
Manpage is integrated into the upstream version. License is clarified and included as a separate file.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6434920 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=6434914 (RHEL5)

Spec URL: http://www.fateyev.com/RPMS/Fedora19/testing/freecolor.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/freecolor-0.9.2-1.fc19.denf.src.rpm

Comment 4 Jeff Backus 2014-01-22 10:45:37 UTC
(In reply to Denis Fateyev from comment #2)
> Thanks for the review, Jeff. I'd recommend you to change the review's
> "informal" status into the "official" ;-) (get assigned with it)

Wish I could! I haven't been sponsored yet. Sorry!

> 
> As for the silent setup, I've just fixed that. Added el5-conditional for
> BuildRoot. Checked debuginfo package, it's valid.

Looks good!

Comment 5 Jeff Backus 2014-01-22 10:51:39 UTC
(In reply to Denis Fateyev from comment #3)
> Manpage is integrated into the upstream version. License is clarified and
> included as a separate file.
> 
> Koji scratch build:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=6434920 (Rawhide)
> https://koji.fedoraproject.org/koji/taskinfo?taskID=6434914 (RHEL5)
> 
> Spec URL: http://www.fateyev.com/RPMS/Fedora19/testing/freecolor.spec
> SRPM URL:
> http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/freecolor-0.9.2-1.fc19.
> denf.src.rpm

License looks good, thanks for getting it updated and pushing the manpage upstream. As far as I can tell, everything is in order. Now we just need someone with authority to officially review it. :)

Comment 6 Christopher Meng 2014-01-23 03:49:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". Detailed output of licensecheck:

MIT/X11 (BSD like)
------------------
freecolor-0.9.2/freecolor.c

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: freecolor-0.9.2-1.fc21.i686.rpm
          freecolor-0.9.2-1.fc21.src.rpm
freecolor.i686: W: spelling-error %description -l en_US bargraph -> bar graph, bar-graph, paragraph
freecolor.src: W: spelling-error %description -l en_US bargraph -> bar graph, bar-graph, paragraph
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint freecolor
freecolor.i686: W: spelling-error %description -l en_US bargraph -> bar graph, bar-graph, paragraph
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
freecolor (rpmlib, GLIBC filtered):
    libc.so.6
    rtld(GNU_HASH)



Provides
--------
freecolor:
    freecolor
    freecolor(x86-32)



Source checksums
----------------
http://www.rkeene.org/files/oss/freecolor/freecolor-0.9.2.tar.gz :
  CHECKSUM(SHA256) this package     : 944936566395cd2e456bce59c6b5bdcb4c31601e9bc869daf507fd3114f5f0bf
  CHECKSUM(SHA256) upstream package : 944936566395cd2e456bce59c6b5bdcb4c31601e9bc869daf507fd3114f5f0bf


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn freecolor-0.9.2-1.fc19.denf.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
PACKAGE APPROVED.

Comment 7 Denis Fateyev 2014-01-23 07:37:19 UTC
New Package SCM Request
=======================
Package Name: freecolor
Short Description: Display memory information graphically
Owners: dfateyev
Branches: f19 f20 el5 el6
InitialCC:

Comment 8 Gwyn Ciesla 2014-01-23 12:53:52 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-01-25 15:07:27 UTC
freecolor-0.9.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freecolor-0.9.2-1.fc20

Comment 10 Fedora Update System 2014-01-25 15:09:42 UTC
freecolor-0.9.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freecolor-0.9.2-1.fc19

Comment 11 Fedora Update System 2014-01-25 15:12:28 UTC
freecolor-0.9.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/freecolor-0.9.2-1.el6

Comment 12 Fedora Update System 2014-01-25 15:14:20 UTC
freecolor-0.9.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/freecolor-0.9.2-1.el5

Comment 13 Fedora Update System 2014-02-03 02:38:17 UTC
freecolor-0.9.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-02-03 02:44:44 UTC
freecolor-0.9.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-02-11 19:15:14 UTC
freecolor-0.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2014-02-11 19:16:29 UTC
freecolor-0.9.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Denis Fateyev 2014-06-27 19:56:22 UTC
Package Change Request
======================
Package Name: freecolor
New Branches: epel7
Owners: dfateyev

Comment 18 Gwyn Ciesla 2014-06-30 12:13:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.